Bug 1281307 - openstack-status command does not exist on compute node
openstack-status command does not exist on compute node
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 8.0 (Liberty)
Assigned To: Martin Magr
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 04:40 EST by Eran Kuris
Modified: 2016-04-18 02:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 03:52:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
answer file (10.29 KB, text/plain)
2015-11-12 04:40 EST, Eran Kuris
no flags Details

  None (edit)
Description Eran Kuris 2015-11-12 04:40:39 EST
Created attachment 1093095 [details]
answer file

Description of problem:
Install OSP-8 with packstack 2 nodes environment, IN compute node the command openstack-status  does not exist. When I checked I found that openstack-utils-2014.2-1.el7ost.noarch package didn't installed on compute node.
the output in compute node : 
rpm -qf `which openstack-status`
/usr/bin/which: no openstack-status in (/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin)

output in controller:
 rpm -qf `which openstack-status`
openstack-utils-2014.2-1.el7ost.noarch

Version-Release number of selected component (if applicable):
openstack-utils-2014.2-1.el7ost.noarch
# rpm -qa |grep packstack
openstack-packstack-puppet-7.0.0-0.7.dev1661.gaf13b7e.el7ost.noarch
openstack-packstack-7.0.0-0.7.dev1661.gaf13b7e.el7ost.noarch


Steps to Reproduce:
1.install 2 nodes OSP env with packstack
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Ivan Chavero 2015-12-03 03:52:00 EST
the package openstack-utils is not a dependency of openstack-nova that's why you don't have it on the compute node.

Note You need to log in before you can comment on or make changes to this bug.